com.sun.syndication.feed.module

## Class DCModuleImpl

- java.lang.Object
- - com.sun.syndication.feed.module.ModuleImpl
  - - com.sun.syndication.feed.module.DCModuleImpl

All Implemented Interfaces:
  CopyFrom, DCModule, Module, java.io.Serializable, java.lang.Cloneable

    public class DCModuleImpl
    extends ModuleImpl
    implements DCModule

Dublin Core ModuleImpl, default implementation.

See Also:
  Dublin Core module., Serialized Form

### Field Summary

Fields
`static java.util.Set` `CONVENIENCE_PROPERTIES` Unmodifiable Set containing the convenience properties of this class.

### Fields inherited from interface com.sun.syndication.feed.module.DCModule

`URI`

### Constructor Summary

Constructors
Constructor and Description
`DCModuleImpl()` Default constructor.

### Method Summary

Methods
`java.lang.Object` `clone()` Creates a deep 'bean' clone of the object.
`void` `copyFrom(java.lang.Object obj)` Copies all the properties of the given bean into this one.
`boolean` `equals(java.lang.Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`java.lang.String` `getContributor()` Gets the DublinCore module contributor.
`java.util.List` `getContributors()` Returns the DublinCore module contributor.
`java.lang.String` `getCoverage()` Gets the DublinCore module coverage.
`java.util.List` `getCoverages()` Returns the DublinCore module coverage.
`java.lang.String` `getCreator()` Gets the DublinCore module title.
`java.util.List` `getCreators()` Returns the DublinCore module creator.
`java.util.Date` `getDate()` Gets the DublinCore module date.
`java.util.List` `getDates()` Returns the DublinCore module date.
`java.lang.String` `getDescription()` Gets the DublinCore module description.
`java.util.List` `getDescriptions()` Returns the DublinCore module description.
`java.lang.String` `getFormat()` Gets the DublinCore module format.
`java.util.List` `getFormats()` Returns the DublinCore module format.
`java.lang.String` `getIdentifier()` Gets the DublinCore module identifier.
`java.util.List` `getIdentifiers()` Returns the DublinCore module identifier.
`java.lang.Class` `getInterface()` Returns the interface the copyFrom works on.
`java.lang.String` `getLanguage()` Gets the DublinCore module language.
`java.util.List` `getLanguages()` Returns the DublinCore module language.
`java.lang.String` `getPublisher()` Gets the DublinCore module title.
`java.util.List` `getPublishers()` Returns the DublinCore module publisher.
`java.lang.String` `getRelation()` Gets the DublinCore module relation.
`java.util.List` `getRelations()` Returns the DublinCore module relation.
`java.lang.String` `getRights()` Gets the DublinCore module rights.
`java.util.List` `getRightsList()` Returns the DublinCore module rights.
`java.lang.String` `getSource()` Gets the DublinCore module source.
`java.util.List` `getSources()` Returns the DublinCore module source.
`DCSubject` `getSubject()` Gets the DublinCore module subject.
`java.util.List` `getSubjects()` Returns the DublinCore module subjects.
`java.lang.String` `getTitle()` Gets the DublinCore module title.
`java.util.List` `getTitles()` Returns the DublinCore module titles.
`java.lang.String` `getType()` Gets the DublinCore module type.
`java.util.List` `getTypes()` Returns the DublinCore module type.
`int` `hashCode()` Returns a hashcode value for the object.
`void` `setContributor(java.lang.String contributor)` Sets the DublinCore module contributor.
`void` `setContributors(java.util.List contributors)` Sets the DublinCore module contributors.
`void` `setCoverage(java.lang.String coverage)` Sets the DublinCore module coverage.
`void` `setCoverages(java.util.List coverages)` Sets the DublinCore module coverages.
`void` `setCreator(java.lang.String creator)` Sets the DublinCore module creator.
`void` `setCreators(java.util.List creators)` Sets the DublinCore module creators.
`void` `setDate(java.util.Date date)` Sets the DublinCore module date.
`void` `setDates(java.util.List dates)` Sets the DublinCore module dates.
`void` `setDescription(java.lang.String description)` Sets the DublinCore module description.
`void` `setDescriptions(java.util.List descriptions)` Sets the DublinCore module descriptions.
`void` `setFormat(java.lang.String format)` Sets the DublinCore module format.
`void` `setFormats(java.util.List formats)` Sets the DublinCore module formats.
`void` `setIdentifier(java.lang.String identifier)` Sets the DublinCore module identifier.
`void` `setIdentifiers(java.util.List identifiers)` Sets the DublinCore module identifiers.
`void` `setLanguage(java.lang.String language)` Sets the DublinCore module language.
`void` `setLanguages(java.util.List languages)` Sets the DublinCore module languages.
`void` `setPublisher(java.lang.String publisher)` Sets the DublinCore module publisher.
`void` `setPublishers(java.util.List publishers)` Sets the DublinCore module publishers.
`void` `setRelation(java.lang.String relation)` Sets the DublinCore module relation.
`void` `setRelations(java.util.List relations)` Sets the DublinCore module relations.
`void` `setRights(java.lang.String rights)` Sets the DublinCore module rights.
`void` `setRightsList(java.util.List rights)` Sets the DublinCore module rights.
`void` `setSource(java.lang.String source)` Sets the DublinCore module source.
`void` `setSources(java.util.List sources)` Sets the DublinCore module sources.
`void` `setSubject(DCSubject subject)` Sets the DCSubject element.
`void` `setSubjects(java.util.List subjects)` Sets the DublinCore module subjects.
`void` `setTitle(java.lang.String title)` Sets the DublinCore module title.
`void` `setTitles(java.util.List titles)` Sets the DublinCore module titles.
`void` `setType(java.lang.String type)` Sets the DublinCore module type.
`void` `setTypes(java.util.List types)` Sets the DublinCore module types.
`java.lang.String` `toString()` Returns the String representation for the object.

### Methods inherited from class com.sun.syndication.feed.module.ModuleImpl

`getUri`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.sun.syndication.feed.module.Module

`getUri`

### Field Detail

#### CONVENIENCE_PROPERTIES

    public static final java.util.Set CONVENIENCE_PROPERTIES

Unmodifiable Set containing the convenience properties of this class.

Convenience properties are mapped to Modules, for cloning the convenience properties can be ignored as the will be copied as part of the module cloning.

### Constructor Detail

#### DCModuleImpl

    public DCModuleImpl()

Default constructor. All properties are set to null.

### Method Detail

#### getTitles

    public java.util.List getTitles()

Returns the DublinCore module titles.

Specified by:
  `getTitles` in interface `DCModule`
Returns:
  a list of Strings representing the DublinCore module title, an empty list if none.

#### setTitles

    public void setTitles(java.util.List titles)

Sets the DublinCore module titles.

Specified by:
  `setTitles` in interface `DCModule`
Parameters:
  `titles` - the list of String representing the DublinCore module titles to set, an empty list or null if none.

#### getTitle

    public java.lang.String getTitle()

Gets the DublinCore module title. Convenience method that can be used to obtain the first item, null if none.

Specified by:
  `getTitle` in interface `DCModule`
Returns:
  the first DublinCore module title, null if none.

#### setTitle

    public void setTitle(java.lang.String title)

Sets the DublinCore module title. Convenience method that can be used when there is only one title to set.

Specified by:
  `setTitle` in interface `DCModule`
Parameters:
  `title` - the DublinCore module title to set, null if none.

#### getCreators

    public java.util.List getCreators()

Returns the DublinCore module creator.

Specified by:
  `getCreators` in interface `DCModule`
Returns:
  a list of Strings representing the DublinCore module creator, an empty list if none.

#### setCreators

    public void setCreators(java.util.List creators)

Sets the DublinCore module creators.

Specified by:
  `setCreators` in interface `DCModule`
Parameters:
  `creators` - the list of String representing the DublinCore module creators to set, an empty list or null if none.

#### getCreator

    public java.lang.String getCreator()

Gets the DublinCore module title. Convenience method that can be used to obtain the first item, null if none.

Specified by:
  `getCreator` in interface `DCModule`
Returns:
  the first DublinCore module title, null if none.

#### setCreator

    public void setCreator(java.lang.String creator)

Sets the DublinCore module creator. Convenience method that can be used when there is only one creator to set.

Specified by:
  `setCreator` in interface `DCModule`
Parameters:
  `creator` - the DublinCore module creator to set, null if none.

#### getSubjects

    public java.util.List getSubjects()

Returns the DublinCore module subjects.

Specified by:
  `getSubjects` in interface `DCModule`
Returns:
  a list of DCSubject elements with the DublinCore module subjects, an empty list if none.

#### setSubjects

    public void setSubjects(java.util.List subjects)

Sets the DublinCore module subjects.

Specified by:
  `setSubjects` in interface `DCModule`
Parameters:
  `subjects` - the list of DCSubject elements with the DublinCore module subjects to set, an empty list or null if none.

#### getSubject

    public DCSubject getSubject()

Gets the DublinCore module subject. Convenience method that can be used to obtain the first item, null if none.

Specified by:
  `getSubject` in interface `DCModule`
Returns:
  the first DublinCore module subject, null if none.

#### setSubject

    public void setSubject(DCSubject subject)

Sets the DCSubject element. Convenience method that can be used when there is only one subject to set.

Specified by:
  `setSubject` in interface `DCModule`
Parameters:
  `subject` - the DublinCore module subject to set, null if none.

#### getDescriptions

    public java.util.List getDescriptions()

Returns the DublinCore module description.

Specified by:
  `getDescriptions` in interface `DCModule`
Returns:
  a list of Strings representing the DublinCore module description, an empty list if none.

#### setDescriptions

    public void setDescriptions(java.util.List descriptions)

Sets the DublinCore module descriptions.

Specified by:
  `setDescriptions` in interface `DCModule`
Parameters:
  `descriptions` - the list of String representing the DublinCore module descriptions to set, an empty list or null if none.

#### getDescription

    public java.lang.String getDescription()

Gets the DublinCore module description. Convenience method that can be used to obtain the first item, null if none.

Specified by:
  `getDescription` in interface `DCModule`
Returns:
  the first DublinCore module description, null if none.

#### setDescription

    public void setDescription(java.lang.String description)

Sets the DublinCore module description. Convenience method that can be used when there is only one description to set.

Specified by:
  `setDescription` in interface `DCModule`
Parameters:
  `description` - the DublinCore module description to set, null if none.

#### getPublishers

    public java.util.List getPublishers()

Returns the DublinCore module publisher.

Specified by:
  `getPublishers` in interface `DCModule`
Returns:
  a list of Strings representing the DublinCore module publisher, an empty list if none.

#### setPublishers

    public void setPublishers(java.util.List publishers)

Sets the DublinCore module publishers.

Specified by:
  `setPublishers` in interface `DCModule`
Parameters:
  `publishers` - the list of String representing the DublinCore module publishers to set, an empty list or null if none.

#### getPublisher

    public java.lang.String getPublisher()

Gets the DublinCore module title. Convenience method that can be used to obtain the first item, null if none.

Specified by:
  `getPublisher` in interface `DCModule`
Returns:
  the first DublinCore module title, null if none.

#### setPublisher

    public void setPublisher(java.lang.String publisher)

Sets the DublinCore module publisher. Convenience method that can be used when there is only one publisher to set.

Specified by:
  `setPublisher` in interface `DCModule`
Parameters:
  `publisher` - the DublinCore module publisher to set, null if none.

#### getContributors

    public java.util.List getContributors()

Returns the DublinCore module contributor.

Specified by:
  `getContributors` in interface `DCModule`
Returns:
  a list of Strings representing the DublinCore module contributor, an empty list if none.

#### setContributors

    public void setContributors(java.util.List contributors)

Sets the DublinCore module contributors.

Specified by:
  `setContributors` in interface `DCModule`
Parameters:
  `contributors` - the list of String representing the DublinCore module contributors to set, an empty list or null if none.

#### getContributor

    public java.lang.String getContributor()

Gets the DublinCore module contributor. Convenience method that can be used to obtain the first item, null if none.

Specified by:
  `getContributor` in interface `DCModule`
Returns:
  the first DublinCore module contributor, null if none.

#### setContributor

    public void setContributor(java.lang.String contributor)

Sets the DublinCore module contributor. Convenience method that can be used when there is only one contributor to set.

Specified by:
  `setContributor` in interface `DCModule`
Parameters:
  `contributor` - the DublinCore module contributor to set, null if none.

#### getDates

    public java.util.List getDates()

Returns the DublinCore module date.

Specified by:
  `getDates` in interface `DCModule`
Returns:
  a list of Strings representing the DublinCore module date, an empty list if none.

#### setDates

    public void setDates(java.util.List dates)

Sets the DublinCore module dates.

Specified by:
  `setDates` in interface `DCModule`
Parameters:
  `dates` - the list of Date representing the DublinCore module dates to set, an empty list or null if none.

#### getDate

    public java.util.Date getDate()

Gets the DublinCore module date. Convenience method that can be used to obtain the first item, null if none.

Specified by:
  `getDate` in interface `DCModule`
Returns:
  the first DublinCore module date, null if none.

#### setDate

    public void setDate(java.util.Date date)

Sets the DublinCore module date. Convenience method that can be used when there is only one date to set.

Specified by:
  `setDate` in interface `DCModule`
Parameters:
  `date` - the DublinCore module date to set, null if none.

#### getTypes

    public java.util.List getTypes()

Returns the DublinCore module type.

Specified by:
  `getTypes` in interface `DCModule`
Returns:
  a list of Strings representing the DublinCore module type, an empty list if none.

#### setTypes

    public void setTypes(java.util.List types)

Sets the DublinCore module types.

Specified by:
  `setTypes` in interface `DCModule`
Parameters:
  `types` - the list of String representing the DublinCore module types to set, an empty list or null if none.

#### getType

    public java.lang.String getType()

Gets the DublinCore module type. Convenience method that can be used to obtain the first item, null if none.

Specified by:
  `getType` in interface `DCModule`
Returns:
  the first DublinCore module type, null if none.

#### setType

    public void setType(java.lang.String type)

Sets the DublinCore module type. Convenience method that can be used when there is only one type to set.

Specified by:
  `setType` in interface `DCModule`
Parameters:
  `type` - the DublinCore module type to set, null if none.

#### getFormats

    public java.util.List getFormats()

Returns the DublinCore module format.

Specified by:
  `getFormats` in interface `DCModule`
Returns:
  a list of Strings representing the DublinCore module format, an empty list if none.

#### setFormats

    public void setFormats(java.util.List formats)

Sets the DublinCore module formats.

Specified by:
  `setFormats` in interface `DCModule`
Parameters:
  `formats` - the list of String representing the DublinCore module formats to set, an empty list or null if none.

#### getFormat

    public java.lang.String getFormat()

Gets the DublinCore module format. Convenience method that can be used to obtain the first item, null if none.

Specified by:
  `getFormat` in interface `DCModule`
Returns:
  the first DublinCore module format, null if none.

#### setFormat

    public void setFormat(java.lang.String format)

Sets the DublinCore module format. Convenience method that can be used when there is only one format to set.

Specified by:
  `setFormat` in interface `DCModule`
Parameters:
  `format` - the DublinCore module format to set, null if none.

#### getIdentifiers

    public java.util.List getIdentifiers()

Returns the DublinCore module identifier.

Specified by:
  `getIdentifiers` in interface `DCModule`
Returns:
  a list of Strings representing the DublinCore module identifier, an empty list if none.

#### setIdentifiers

    public void setIdentifiers(java.util.List identifiers)

Sets the DublinCore module identifiers.

Specified by:
  `setIdentifiers` in interface `DCModule`
Parameters:
  `identifiers` - the list of String representing the DublinCore module identifiers to set, an empty list or null if none.

#### getIdentifier

    public java.lang.String getIdentifier()

Gets the DublinCore module identifier. Convenience method that can be used to obtain the first item, null if none.

Specified by:
  `getIdentifier` in interface `DCModule`
Returns:
  the first DublinCore module identifier, null if none.

#### setIdentifier

    public void setIdentifier(java.lang.String identifier)

Sets the DublinCore module identifier. Convenience method that can be used when there is only one identifier to set.

Specified by:
  `setIdentifier` in interface `DCModule`
Parameters:
  `identifier` - the DublinCore module identifier to set, null if none.

#### getSources

    public java.util.List getSources()

Returns the DublinCore module source.

Specified by:
  `getSources` in interface `DCModule`
Returns:
  a list of Strings representing the DublinCore module source, an empty list if none.

#### setSources

    public void setSources(java.util.List sources)

Sets the DublinCore module sources.

Specified by:
  `setSources` in interface `DCModule`
Parameters:
  `sources` - the list of String representing the DublinCore module sources to set, an empty list or null if none.

#### getSource

    public java.lang.String getSource()

Gets the DublinCore module source. Convenience method that can be used to obtain the first item, null if none.

Specified by:
  `getSource` in interface `DCModule`
Returns:
  the first DublinCore module source, null if none.

#### setSource

    public void setSource(java.lang.String source)

Sets the DublinCore module source. Convenience method that can be used when there is only one source to set.

Specified by:
  `setSource` in interface `DCModule`
Parameters:
  `source` - the DublinCore module source to set, null if none.

#### getLanguages

    public java.util.List getLanguages()

Returns the DublinCore module language.

Specified by:
  `getLanguages` in interface `DCModule`
Returns:
  a list of Strings representing the DublinCore module language, an empty list if none.

#### setLanguages

    public void setLanguages(java.util.List languages)

Sets the DublinCore module languages.

Specified by:
  `setLanguages` in interface `DCModule`
Parameters:
  `languages` - the list of String representing the DublinCore module languages to set, an empty list or null if none.

#### getLanguage

    public java.lang.String getLanguage()

Gets the DublinCore module language. Convenience method that can be used to obtain the first item, null if none.

Specified by:
  `getLanguage` in interface `DCModule`
Returns:
  the first DublinCore module langauge, null if none.

#### setLanguage

    public void setLanguage(java.lang.String language)

Sets the DublinCore module language. Convenience method that can be used when there is only one language to set.

Specified by:
  `setLanguage` in interface `DCModule`
Parameters:
  `language` - the DublinCore module language to set, null if none.

#### getRelations

    public java.util.List getRelations()

Returns the DublinCore module relation.

Specified by:
  `getRelations` in interface `DCModule`
Returns:
  a list of Strings representing the DublinCore module relation, an empty list if none.

#### setRelations

    public void setRelations(java.util.List relations)

Sets the DublinCore module relations.

Specified by:
  `setRelations` in interface `DCModule`
Parameters:
  `relations` - the list of String representing the DublinCore module relations to set, an empty list or null if none.

#### getRelation

    public java.lang.String getRelation()

Gets the DublinCore module relation. Convenience method that can be used to obtain the first item, null if none.

Specified by:
  `getRelation` in interface `DCModule`
Returns:
  the first DublinCore module relation, null if none.

#### setRelation

    public void setRelation(java.lang.String relation)

Sets the DublinCore module relation. Convenience method that can be used when there is only one relation to set.

Specified by:
  `setRelation` in interface `DCModule`
Parameters:
  `relation` - the DublinCore module relation to set, null if none.

#### getCoverages

    public java.util.List getCoverages()

Returns the DublinCore module coverage.

Specified by:
  `getCoverages` in interface `DCModule`
Returns:
  a list of Strings representing the DublinCore module coverage, an empty list if none.

#### setCoverages

    public void setCoverages(java.util.List coverages)

Sets the DublinCore module coverages.

Specified by:
  `setCoverages` in interface `DCModule`
Parameters:
  `coverages` - the list of String representing the DublinCore module coverages to set, an empty list or null if none.

#### getCoverage

    public java.lang.String getCoverage()

Gets the DublinCore module coverage. Convenience method that can be used to obtain the first item, null if none.

Specified by:
  `getCoverage` in interface `DCModule`
Returns:
  the first DublinCore module coverage, null if none.

#### setCoverage

    public void setCoverage(java.lang.String coverage)

Sets the DublinCore module coverage. Convenience method that can be used when there is only one coverage to set.

Specified by:
  `setCoverage` in interface `DCModule`
Parameters:
  `coverage` - the DublinCore module coverage to set, null if none.

#### getRightsList

    public java.util.List getRightsList()

Returns the DublinCore module rights.

Specified by:
  `getRightsList` in interface `DCModule`
Returns:
  a list of Strings representing the DublinCore module rights, an empty list if none.

#### setRightsList

    public void setRightsList(java.util.List rights)

Sets the DublinCore module rights.

Specified by:
  `setRightsList` in interface `DCModule`
Parameters:
  `rights` - the list of String representing the DublinCore module rights to set, an empty list or null if none.

#### getRights

    public java.lang.String getRights()

Gets the DublinCore module rights. Convenience method that can be used to obtain the first item, null if none.

Specified by:
  `getRights` in interface `DCModule`
Returns:
  the first DublinCore module rights, null if none.

#### setRights

    public void setRights(java.lang.String rights)

Sets the DublinCore module rights. Convenience method that can be used when there is only one rights to set.

Specified by:
  `setRights` in interface `DCModule`
Parameters:
  `rights` - the DublinCore module rights to set, null if none.

#### clone

    public final java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

Creates a deep 'bean' clone of the object.

Specified by:
  `clone` in interface `Module`
Overrides:
  `clone` in class `ModuleImpl`
Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

#### equals

    public final boolean equals(java.lang.Object other)

Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

Overrides:
  `equals` in class `ModuleImpl`
Parameters:
  `other` - he reference object with which to compare.
Returns:
  true if 'this' object is equal to the 'other' object.

#### hashCode

    public final int hashCode()

Returns a hashcode value for the object.

It follows the contract defined by the Object hashCode() method.

Overrides:
  `hashCode` in class `ModuleImpl`
Returns:
  the hashcode of the bean object.

#### toString

    public final java.lang.String toString()

Returns the String representation for the object.

Overrides:
  `toString` in class `ModuleImpl`
Returns:
  String representation for the object.

#### getInterface

    public final java.lang.Class getInterface()

Description copied from interface: `CopyFrom`
Returns the interface the copyFrom works on.

This is useful when dealing with properties that may have multiple implementations. For example, Module.

Specified by:
  `getInterface` in interface `CopyFrom`
Returns:
  the interface the copyFrom works on.

#### copyFrom

    public final void copyFrom(java.lang.Object obj)

Description copied from interface: `CopyFrom`
Copies all the properties of the given bean into this one.

Any existing properties in this bean are lost.

This method is useful for moving from one implementation of a bean interface to another. For example from the default SyndFeed bean implementation to a Hibernate ready implementation.

Specified by:
  `copyFrom` in interface `CopyFrom`
Parameters:
  `obj` - the instance to copy properties from.